<?php
   /*--------------------------------------------------------
   * ARCHIVO: bases.php
   * --------------------------------------------------------
   *--------------------------------------------------------*/

   class DB {
      var $DBConn;      // Coneccion con la base de datos
      var $DBRes;        // Mantiene el resultadode una consulta
      var $DBName;     // Nombre de la base de datos

      function DB() {
        include("../conexion2.php");      
         $Server = $dbhost;         
         $DataBase = $db;          
         $User = $dbusuario;          
         $Passwd = $dbpassword;                            
         $this->DBConn = @mysql_connect($Server, $User, $Passwd);
         $this->DBName = $DataBase;
      }

      function hayconexion() {
         if($this->DBConn) return 1; else return 0;
      }

      function query($strQuery) {
         strlen($strQuery) != 0 ? $this->DBRes = mysql_db_query($this->DBName, $strQuery) : $this->DBRes = 0;
      }

      function getfila() {
         if($this->DBRes) return mysql_fetch_row($this->DBRes); else return 0;
      }

      function numfilas() {
         if($this->DBRes) return  mysql_num_rows($this->DBRes); else return 0;
      }
   }
?>